<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Architect
 */

$mts_options = get_option( MTS_THEME_NAME );

get_header();
?>
<div id="page">
	<div class="container">
		<div class="<?php mts_article_class(); ?>">
			<div id="content_box">
				<h1 class="postsby">
					<span><?php the_archive_title(); ?></span>
				</h1>
				<?php
				$j = 0;
				if ( have_posts() ) :
					while ( have_posts() ) :
						the_post();
						?>
						<article class="latestPost excerpt panel" itemscope itemtype="http://schema.org/BlogPosting">
							<?php get_template_part( 'post-format/format', get_post_format() ); ?>
							<header class="entry-header">
								<h2 class="title front-view-title"><a href="<?php echo esc_url( get_the_permalink() ); ?>" title="<?php echo esc_attr( get_the_title() ); ?>"><?php the_title(); ?></a></h2>
							</header>
							<?php

							mts_the_postinfo();

							if ( empty( $mts_options['mts_full_posts'] ) ) :
								?>
								<div class="front-view-content">
									<?php echo mts_excerpt(29); ?>
								</div>
								<?php mts_readmore(); ?>
							<?php else : ?>
								<div class="front-view-content full-post">
									<?php the_content(); ?>
								</div>
								<?php if ( mts_post_has_moretag() ) : ?>
									<?php mts_readmore(); ?>
								<?php endif; ?>
							<?php endif; ?>
						</article><!--.post excerpt-->

						<?php
						$j++;
					endwhile;
				endif;
				if ( 0 !== $j ) { // No pagination if there is no results.
					if ( isset($mts_options['mts_pagenavigation_type'] ) && '1' == $mts_options['mts_pagenavigation_type'] ) { // phpcs:ignore
							mts_pagination();
					} else {
						?>
						<div class="pagination">
							<ul>
								<li class="nav-previous"><?php next_posts_link( __( '&larr; ' . 'Older posts', 'mythemeshop' ) ); ?></li>
								<li class="nav-next"><?php previous_posts_link( __( 'Newer posts'.' &rarr;', 'mythemeshop' ) ); ?></li>
							</ul>
						</div>
						<?php
					}
				}
				?>
			</div>
		</div>
		<?php get_sidebar(); ?>
	</div>
<?php get_footer(); ?>
