<?php
/**
 * The template for displaying the clients section.
 *
 * @package Architect
 */

$mts_options = get_option( MTS_THEME_NAME );

$clients_title       = $mts_options['mts_homepage_clients_title'];
$clients_description = $mts_options['mts_homepage_clients_description'];
$clients_items       = $mts_options['mts_homepage_clients_slide_items'];

$bg_cover_class     = ( $mts_options['mts_homepage_clients_background_image_cover'] == '1' && ! empty( $mts_options['mts_homepage_clients_background_image'] ) ) ? ' cover-bg' : '';
$parallax_class     = ( $mts_options['mts_homepage_clients_parallax'] == '1' ) ? ' parallax-bg' : '';
$color_scheme_class = ( $mts_options['mts_homepage_clients_color_scheme'] == 'dark' ) ? ' dark-colors' : ' light-colors';
?>

<div id="clients" class="section clearfix<?php echo $bg_cover_class . $parallax_class . $color_scheme_class; ?>">
	<div class="container">
	<?php
	if ( ! empty( $clients_title ) || ! empty( $clients_description ) ) {
		echo '<div class="section-header">';
		if ( ! empty( $clients_title ) ) {
			echo '<h3 class="section-title">';
			echo $clients_title;
			echo '</h3>';
		}
		if ( ! empty( $clients_description ) ) {
			echo '<div class="section-description">';
			echo $clients_description;
			echo '</div>';
		}
		echo '<div class="separator"><span>&sect;</span></div>';
		echo '</div>';
	}

	if ( ! empty( $mts_options['mts_homepage_clients'] ) ) {
		?>
		<div class="slider-container">
			<div class="clients carousel">
				<?php
				$count = 0;
				foreach ( $mts_options['mts_homepage_clients'] as $key => $section ) {
					++$count;
					$client_image = $section['mts_homepage_client_image'];
					$client_url   = $section['mts_homepage_client_url'];

					$client_image_url = aq_resize( $client_image, 340, 250, true, true, true );
					if ( empty( $client_image_url ) ) {
						$client_image_url = $client_image;
					}
					$client_image_html = empty( $client_image ) ? '' : '<div class="img-container"><img src="' . $client_image_url . '" width="340" height="250" loading="lazy" /></div>';
					$client_image_html = empty( $client_url ) ? $client_image_html : '<a href="' . $client_url . '">' . $client_image_html . '</a>';
					if ( '6' == $clients_items && $count % 2 !== 0 ) {
						echo '<div>';
					}
					?>
					<div class="grid-box">
						<div class="grid-box-inner">
							<?php echo $client_image_html; ?>
						</div>
					</div>
					<?php
					if ( '6' == $clients_items && $count % 2 === 0 ) {
						echo '</div>';
					}
				}
				?>
			</div>
		</div>
		<?php
	}
	?>
	</div>
</div>
