<?php
/**
 * The template for displaying the contact section.
 *
 * @package Architect
 */

$mts_options = get_option( MTS_THEME_NAME );

$contact_title       = $mts_options['mts_homepage_contact_title'];
$contact_description = $mts_options['mts_homepage_contact_description'];

$contact_social_icons = $mts_options['mts_homepage_contact_social_icons'];
$contact_facebook     = $mts_options['mts_homepage_contact_facebook'];
$contact_twitter      = $mts_options['mts_homepage_contact_twitter'];
$contact_linkedin     = $mts_options['mts_homepage_contact_linkedin'];
$contact_email        = $mts_options['mts_homepage_contact_email'];

$bg_cover_class     = ( $mts_options['mts_homepage_contact_background_image_cover'] == '1' && ! empty( $mts_options['mts_homepage_contact_background_image'] ) ) ? ' cover-bg' : '';
$parallax_class     = ( $mts_options['mts_homepage_contact_parallax'] == '1' ) ? ' parallax-bg' : '';
$color_scheme_class = ( $mts_options['mts_homepage_contact_color_scheme'] == 'dark' ) ? ' dark-colors' : ' light-colors';
?>
<div id="contact" class="section clearfix<?php echo $bg_cover_class . $parallax_class . $color_scheme_class; ?>">
	<?php
	if ( ! empty( $mts_options['mts_map_coordinates'] ) ) :
		?>
		<div class="contact_map">
			<div id="map-canvas" style="width: 100%; height: 435px"></div>
		</div>
		<?php
	endif;
	?>
	<div class="container">
	<?php
	if ( ! empty( $contact_title ) || ! empty( $contact_description ) ) {
		?>
		<div class="section-header">
		<?php
		if ( ! empty( $contact_title ) ) {
			?>
			<h3 class="section-title"><?php echo $contact_title; ?></h3>
			<?php
		}
		if ( ! empty( $contact_description ) ) {
			?>
			<div class="section-description"><?php echo $contact_description; ?></div>
			<?php
		}
		?>
			<div class="separator"><span>&sect;</span></div>
		</div>
		<?php
	}
	?>
	<div class="section-content">
		<?php
		if ( '1' ==  $contact_social_icons ) {
			?>
			<div class="social-list">
				<?php
				if ( ! empty( $contact_facebook ) ) {
					?>
					<a href="<?php echo $contact_facebook; ?>"><i class="fa fa-facebook"></i></a>
					<?php
				}
				if ( ! empty( $contact_twitter ) ) {
					?>
					<a href="<?php echo $contact_twitter; ?>"><i class="fa fa-twitter"></i></a>
					<?php
				}
				if ( ! empty( $contact_linkedin ) ) {
					?>
					<a href="<?php echo $contact_linkedin; ?>"><i class="fa fa-linkedin"></i></a>
					<?php
				}
				if ( ! empty( $contact_email ) && is_email( $contact_email ) ) {
					?>
					<a href="mailto:<?php echo antispambot( $contact_email ); ?>"><i class="fa fa-envelope"></i></a>
					<?php
				}
				?>
			</div>
			<?php
		}
		?>

		<?php mts_contact_form(); ?>

		</div>
	</div>
</div>
