<?php
/**
 * The template for displaying all single posts.
 *
 * @package Architect
 */

$mts_options = get_option( MTS_THEME_NAME );

get_header();
?>

<div id="page" class="single">
	<div class="container">
		<?php
		if ( '1' === $mts_options['mts_breadcrumb'] ) {
			mts_the_breadcrumb();
		}
		?>
		<article class="<?php mts_article_class(); ?>" itemscope itemtype="http://schema.org/BlogPosting">
			<div id="content_box" class="panel">
				<?php
				if ( have_posts() ) while ( have_posts() ) :
					the_post();
					?>
					<div id="post-<?php the_ID(); ?>" <?php post_class( 'g post' ); ?>>
						<div class="single_post">
							<?php get_template_part( 'post-format/format', get_post_format() ); ?>
							<header class="entry-header">
								<h1 class="title single-title entry-title"><?php the_title(); ?></h1>
							</header>
							<?php mts_the_postinfo( 'single' ); ?>
							<div class="post-single-content box mark-links entry-content">
								<?php
								if ( '' !== $mts_options['mts_posttop_adcode'] ) {
									$toptime = $mts_options['mts_posttop_adcode_time'];
									if ( strcmp( date( 'Y-m-d', strtotime( "-$toptime day" ) ), get_the_time( 'Y-m-d' ) ) >= 0 ) {
										?>
										<div class="topad">
											<?php echo do_shortcode( $mts_options['mts_posttop_adcode'] ); ?>
										</div>
										<?php
									}
								}
								if ( isset( $mts_options['mts_social_button_position'] ) && 'top' === $mts_options['mts_social_button_position'] ) {
									mts_social_buttons();
								}
								?>
								<div class="thecontent">
									<?php the_content(); ?>
								</div>
								<?php
								wp_link_pages(
									array(
										'before'           => '<div class="pagination">',
										'after'            => '</div>',
										'link_before'      => '<span class="current"><span class="currenttext">',
										'link_after'       => '</span></span>',
										'next_or_number'   => 'next_and_number',
										'nextpagelink'     => __( 'Next', 'mythemeshop' ),
										'previouspagelink' => __( 'Previous', 'mythemeshop' ),
										'pagelink'         => '%',
										'echo'             => 1,
									)
								);

								if ( '' !== $mts_options['mts_postend_adcode'] ) {
									$endtime = $mts_options['mts_postend_adcode_time'];
									if ( strcmp( date( 'Y-m-d', strtotime( "-$endtime day" ) ), get_the_time( 'Y-m-d' ) ) >= 0 ) {
										?>
										<div class="bottomad">
											<?php echo do_shortcode( $mts_options['mts_postend_adcode'] ); ?>
										</div>
										<?php
									}
								}

								if ( isset( $mts_options['mts_social_button_position'] ) && 'top' !== $mts_options['mts_social_button_position'] ) {
									mts_social_buttons();
								}

								if ( '1' === $mts_options['mts_tags'] ) {
									?>
									<div class="tags">
										<?php
										mts_the_tags( '<span class="tagtext">' . __( 'Tags', 'mythemeshop' ) . ':</span>', ', ' );
										?>
									</div>
									<?php
								}
								?>
							</div><!--.entry-content-->
						</div><!--.single_post-->

						<?php
						if ( '1' === $mts_options['mts_author_box'] ) {
							?>
							<h4 class="section-title"><?php esc_html_e( 'About The Author', 'mythemeshop' ); ?></h4>
							<div class="postauthor">
								<?php
								if ( function_exists( 'get_avatar' ) ) {
									echo get_avatar( get_the_author_meta( 'email' ), '80' );
								}
								?>
								<h5 class="vcard author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" class="fn"><?php the_author_meta( 'display_name' ); ?></a></h5>
								<p><?php the_author_meta( 'description' ); ?></p>
							</div>
							<?php
						}
						?>

						<?php mts_related_posts(); ?>

					</div><!--.g post-->
					<?php comments_template( '', true ); ?>
				<?php endwhile; /* end loop */ ?>
			</div>
		</article>
		<?php get_sidebar(); ?>
	</div>
<?php get_footer(); ?>
